#!/bin/bash
echo "开始编译并发布到MAVEN仓库，Maven地址：http://172.16.6.11:8081/repository/vv-fw-snapshots/"
# 定义默认groupId
array=("react-native-spinkit")
readonly DEF_GROUP='com.xupd.xupd-android'
plugin_name="app"
# 读取传入参数
debugMode='release'
fVersion=$1 # 第一个参数:版本号,flutter module的版本和所有的插件的版本保持一致.
fGroupId=$2 # 第二个参数:包名,所有library的groupId都一样，默认是com.koo.fultter.


plugin_path=$(cd "$(dirname "$0")";pwd)
android_path=""

###### 0. 检查参数
if [ ! -n "${fVersion}" ] ;then
fVersion="1.0.3"
fi

if [ ! -n "${fGroupId}" ]
then
fGroupId=$DEF_GROUP
fi

cd ..
cd android
sh ./gradlew uploadArchives -PfGroupId=${fGroupId} -PfArtifactId=${element} -PfVersion=${fVersion}
